# vtkStringArray Class Reference

`#include <vtkStringArray.h>`

List of all members.

## Public Member Functions

int | GetNumberOfValues ()
vtkIdType | GetSize ()
const char * | GetValue (unsigned int i)
vtkIdType | InsertNextValue (std::string const &f)
vtkIdType | InsertNextValue (const char *f)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
| vtkTypeRevisionMacro (vtkStringArray, vtkObject)

## Static Public Member Functions

static vtkStringArray * | New ()

## Protected Member Functions

| vtkStringArray ()
| ~vtkStringArray ()

## Detailed Description

Examples:

  ConvertMultiFrameToSingleFrame.cxx, gdcmorthoplanes.cxx, HelloActiviz3.cs, HelloActiviz4.cs, HelloActiviz5.cs, and reslicesphere.cxx.

## Constructor & Destructor Documentation

vtkStringArray::vtkStringArray | ( |  | ) | `[protected]`

vtkStringArray::~vtkStringArray | ( |  | ) | `[protected]`

## Member Function Documentation

int vtkStringArray::GetNumberOfValues | ( |  | ) |

Examples:
  ConvertMultiFrameToSingleFrame.cxx.

vtkIdType vtkStringArray::GetSize | ( |  | ) |

const char* vtkStringArray::GetValue | ( | unsigned int | i | ) |

vtkIdType vtkStringArray::InsertNextValue | ( | std::string const & | f | ) |

Examples:
  ConvertMultiFrameToSingleFrame.cxx, gdcmorthoplanes.cxx, HelloActiviz3.cs, HelloActiviz4.cs, HelloActiviz5.cs, and reslicesphere.cxx.

vtkIdType vtkStringArray::InsertNextValue | ( | const char * | f | ) |

static vtkStringArray* vtkStringArray::New | ( |  | ) | `[static]`

Examples:
  ConvertMultiFrameToSingleFrame.cxx, gdcmorthoplanes.cxx, HelloActiviz3.cs, HelloActiviz4.cs, HelloActiviz5.cs, and reslicesphere.cxx.

virtual void vtkStringArray::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  | `[virtual]`

vtkStringArray::vtkTypeRevisionMacro | ( | vtkStringArray | ,
|  | vtkObject |
| ) |  |

The documentation for this class was generated from the following file:

- vtkStringArray.h